Universes Management
Create Universe
Create a new universe
POST
https://api.textreveal.com/v3/universes
Request
Request Body
name*stringName of the universe.
Example: "Tech Asian companies"type*string (enum)Universe visibility and access level.
-
PRIVATE: visible and manageable by the owner only. -
SHARED: visible to the owner and company members, manageable by the owner. -
SESAMM: visible to company members, not manageable.
-
owneruuid | nullWhen present, only the user with this id can manage the universe.
companyuuidWith which company is the universe shared
descriptionstring | nullDescription of the universe
Example: "The Asian companies that are in the Tech sector"
Request
{
"name": "Tech Asian companies",
"type": "PRIVATE",
"owner": "00000000-0000-0000-0000-000000000000",
"company": "00000000-0000-0000-0000-000000000000",
"description": "The Asian companies that are in the Tech sector"
}Response
Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal"errorsobject[]Possible error causes, like query params, headers or body.
Response
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
Response
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}No universe found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
Response
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}